package com.perforce.hive.api.artifact;

public class ArtifactType {

	private final String plugin;
	private final String id;
	private String title = "";

	/**
	 * Create a new Artifact Type.
	 * 
	 * @param name
	 * @param title
	 */
	public ArtifactType(String plugin, String id) {
		this.plugin = plugin;
		this.id = id;
	}

	public String getPluginID() {
		return plugin;
	}

	public String getID() {
		return id;
	}

	public String getName() {
		return id.toLowerCase();
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getTitle() {
		return title;
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof ArtifactType) {
			ArtifactType type = (ArtifactType) object;
			if (id.equals(type.getID())) {
				return true;
			}
		}
		return false;
	}

	@Override
	public int hashCode() {
		int hashCode = 1;
		hashCode = hashCode * 37 + this.id.hashCode();
		hashCode = hashCode * 37 + this.plugin.hashCode();
		return hashCode;
	}

	@Override
	public String toString() {
		return id;
	}
}
